Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
DistributedCameraOV Class Reference
Inheritance diagram for DistributedCameraOV:

## Public Member Functions
| __init__ (self, cr)
| addFixture (self, fixture, index=None)
| b_setFixtures (self, fixtures)
| blinkFixture (self, index)
| d_setFixtures (self, fixtures)
| delete (self)
| getObject (self)
| loadFromFile (self, name)
| refreshFixture (self, id, data)
| removeFixture (self, index)
| saveFixture (self, index=None)
| setCamParent (self, doId)
| setFixtures (self, fixtures)
| standbyFixture (self, index)
| startRecording (self)
| stopRecording (self)
| storeToFile (self, name)
| testFixture (self, index)
| unpackFixture (self, data)
Public Member Functions inherited from DistributedObjectOV
| __init__ (self, cr)
| announceGenerate (self)
| deleteOrDelay (self)
| disable (self)
| disableAndAnnounce (self)
| disableAnnounceAndDelete (self)
| generate (self)
| generateInit (self)
| getCacheable (self)
| getDelayDeleteCount (self)
| getDoId (self)
| isDisabled (self)
| isGenerated (self)
| postGenerateMessage (self)
| sendUpdate (self, fieldName, args=[], sendToId=None)
| status (self, indent=0)
| taskName (self, taskString)
| uniqueName (self, idString)
| updateAllRequiredFields (self, dclass, di)
| updateRequiredFields (self, dclass, di)
| updateRequiredOtherFields (self, dclass, di)
Public Member Functions inherited from DistributedObjectBase
| __init__ (self, cr)
| getLocation (self)
| getParentObj (self)
| handleChildArrive (self, childObj, zoneId)
| handleChildArriveZone (self, childObj, zoneId)
| handleChildLeave (self, childObj, zoneId)
| handleChildLeaveZone (self, childObj, zoneId)
| handleQueryObjectChildrenLocalDone (self, context)
| hasParentingRules (self)
Public Member Functions inherited from DirectObject
| __init__ (self)
| accept (self, event, method, extraArgs=[])
| acceptOnce (self, event, method, extraArgs=[])
| addTask (self, *args, **kwargs)
| detectLeaks (self)
| doMethodLater (self, *args, **kwargs)
| getAllAccepting (self)
| ignore (self, event)
| ignoreAll (self)
| isAccepting (self, event)
| isIgnoring (self, event)
| removeAllTasks (self)
| removeTask (self, taskOrName)

## Public Attributes
list | fixtures = []
int | parent = 0
| refreshFixture
| stopRecording
Public Attributes inherited from DistributedObjectOV
| activeState = ESNew
| dclass = None
int | DistributedObjectOV_deleted = 1
int | DistributedObjectOV_initialized = 1
Public Attributes inherited from DistributedObjectBase
| cr = cr
| doId
int | parentId = None
| zoneId = None

## Additional Inherited Members
Static Public Attributes inherited from DistributedObjectBase
| notify = directNotify.newCategory("DistributedObjectBase")
Static Public Attributes inherited from DirectObject
| accept_once = acceptOnce
| add_task = addTask
| detect_leaks = detectLeaks
| do_method_later = doMethodLater
| get_all_accepting = getAllAccepting
| ignore_all = ignoreAll
| is_accepting = isAccepting
| is_ignoring = isIgnoring
| remove_all_tasks = removeAllTasks
| remove_task = removeTask
Protected Member Functions inherited from DirectObject
| _addTask (self, task)
| _clearTask (self, task)
Protected Attributes inherited from DirectObject
dict | _taskList = {}

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | cr )

## Member Function Documentation

## ◆ addFixture()

addFixture | ( |  | self,
|  |  | fixture,
|  |  | index = None )

## ◆ b_setFixtures()

b_setFixtures | ( |  | self,
|  |  | fixtures )

## ◆ blinkFixture()

blinkFixture | ( |  | self,
|  |  | index )

## ◆ d_setFixtures()

d_setFixtures | ( |  | self,
|  |  | fixtures )

## ◆ delete()

delete | ( |  | self | ) |

    Inheritors should redefine this to take appropriate action on delete

Reimplemented from DistributedObjectOV.

## ◆ getObject()

getObject | ( |  | self | ) |

## ◆ loadFromFile()

loadFromFile | ( |  | self,
|  |  | name )

## ◆ refreshFixture()

refreshFixture | ( |  | self,
|  |  | id,
|  |  | data )

## ◆ removeFixture()

removeFixture | ( |  | self,
|  |  | index )

## ◆ saveFixture()

saveFixture | ( |  | self,
|  |  | index = None )

    Position the camera with ~oobe, then call this to save its telemetry.

## ◆ setCamParent()

setCamParent | ( |  | self,
|  |  | doId )

## ◆ setFixtures()

setFixtures | ( |  | self,
|  |  | fixtures )

## ◆ standbyFixture()

standbyFixture | ( |  | self,
|  |  | index )

## ◆ startRecording()

startRecording | ( |  | self | ) |

## ◆ stopRecording()

stopRecording | ( |  | self | ) |

## ◆ storeToFile()

storeToFile | ( |  | self,
|  |  | name )

## ◆ testFixture()

testFixture | ( |  | self,
|  |  | index )

## ◆ unpackFixture()

unpackFixture | ( |  | self,
|  |  | data )

## Member Data Documentation

## ◆ fixtures

fixtures = []

## ◆ parent

int parent = 0

## ◆ refreshFixture

refreshFixture

## ◆ stopRecording

stopRecording